# Generated by Django 3.0.2 on 2020-02-02 11:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestruc', '0008_typ_visite'),
    ]

    operations = [
        migrations.CreateModel(
            name='Visites',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datevis', models.DateTimeField(verbose_name='date Visites')),
                ('reine_vue', models.BooleanField(default=False)),
                ('commentaire', models.TextField(blank=True, max_length=200, null=True)),
                ('act_reine', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Activite_reine')),
                ('agressiv', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Note_agress')),
                ('couv_ferme', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Etat_couv_ferme')),
                ('couv_ouvert', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Etat_couv_ouvert')),
                ('miel', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Etat_miel')),
                ('operateur', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Operateur')),
                ('pollen', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Etat_pollen')),
                ('ponte', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Etat_ponte')),
                ('ruche', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Ruches')),
                ('rucher', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Ruchers')),
                ('type_visite', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Typ_visite')),
                ('varroa', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='gestruc.Note_varroa')),
            ],
        ),
    ]
